<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="pt"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>SpringSecurityAuditorAware.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Credenciamento</a> &gt; <a href="index.source.html" class="el_package">br.edu.unifacisa.lti.security</a> &gt; <span class="el_source">SpringSecurityAuditorAware.java</span></div><h1>SpringSecurityAuditorAware.java</h1><pre class="source lang-java linenums">package br.edu.unifacisa.lti.security;

import br.edu.unifacisa.lti.config.Constants;

import org.springframework.data.domain.AuditorAware;
import org.springframework.stereotype.Component;

/**
 * Implementation of AuditorAware based on Spring Security.
 */
@Component
<span class="fc" id="L12">public class SpringSecurityAuditorAware implements AuditorAware&lt;String&gt; {</span>

    @Override
    public String getCurrentAuditor() {
<span class="fc" id="L16">        String userName = SecurityUtils.getCurrentUserLogin();</span>
<span class="fc bfc" id="L17" title="All 2 branches covered.">        return userName != null ? userName : Constants.SYSTEM_ACCOUNT;</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.7.9.201702052155</span></div></body></html>